.TH GRAMMALECTE "1" "April 2021" "grammalecte-server" "User Commands"
.SH NAME
grammalecte-server \- command-line interface for grammalecte
.SH SYNOPSIS
.B grammalecte-server
[\fI\,OPTION\/\fR]...
.SH DESCRIPTION
.PP
Grammalecte is a French language spellchecker, grammar checker and hyphenator.
.PP
.TP
\fB\-h, \-?, \-\-help\fP
show a help message and exit
.TP
\fB\-ht, \-\-host\fI HOST\fP
host (default: localhost)
.TP
\fB\-p, \-\-port\fI PORT\fP
port (default: 8080)
.TP
\fB\-mp, \-\-multiprocessor\fI PROCESS_COUNT\fP
define how many processes for the grammar checker
.TP
\fB\-t, \-\-test_page\fP
page to test the server on /
.TP
\fB\-on, \-\-opt-on\fR [\fIOPT\fR]...\fP
activate options
.TP
\fB\-off, \-\-opt-off\fR [\fIOPT\fR]...\fP
deactivate options

.SH "REPORTING BUGS"
Report bugs to  <http://code.grammalecte.net:8080/rptview?rn=1>
